local localization = {
    en = {
        POSITION_LEFT = "Left",
        POSITION_RIGHT = "Right",
        TARGET_INDICATOR_LABEL = "Target Indicator",
        TARGET_INDICATOR_DESCRIPTION = "Contains all settings related to the target indicator",
        TARGET_IGNORE_ICON_ACTIVE_LABEL = "Show Ignore Icon",
        TARGET_IGNORE_ICON_ACTIVE_DESCRIPTION = "Display an icon if the targeted player is on your ignore list",
        TARGET_FRIEND_ICON_ACTIVE_LABEL = "Show Friend Icon",
        TARGET_FRIEND_ICON_ACTIVE_DESCRIPTION = "Display an icon if you are friends with your current target",
        TARGET_FRIEND_ICON_POSITION_LABEL = "Friend/Ignore Icon Position",
        TARGET_FRIEND_ICON_POSITION_DESCRIPTION = "Show the friend and ignore icon left or right of the target name",
        TARGET_GUILD_INDICATOR_ACTIVE_LABEL = "Show Guild Name",
        TARGET_GUILD_INDICATOR_ACTIVE_DESCRIPTION = "Display the name of a guild you and your target share",
        TARGET_GUILD_RANK_ICON_ACTIVE_LABEL = "Show Guild Rank Icon",
        TARGET_GUILD_RANK_ICON_ACTIVE_DESCRIPTION = "Display a rank icon in addition to the guild name",
        TARGET_GUILD_RANK_ICON_POSITION_LABEL = "Guild Rank Icon Position",
        TARGET_GUILD_RANK_ICON_POSITION_DESCRIPTION = "Show the guild rank icon left or right of the guild name",
        GROUP_INDICATOR_LABEL = "Group Indicator",
        GROUP_INDICATOR_DESCRIPTION = "Contains all settings related to group indicators",
        GROUP_IGNORE_ICON_ACTIVE_LABEL = "Show Ignore Icon",
        GROUP_IGNORE_ICON_ACTIVE_DESCRIPTION = "Display an icon on group members on your ignore list",
        GROUP_FRIEND_ICON_ACTIVE_LABEL = "Show Friend Icon",
        GROUP_FRIEND_ICON_ACTIVE_DESCRIPTION = "Display an icon on group members you are friends with",
        GROUP_GUILD_ICON_ACTIVE_LABEL = "Show Guild Icon",
        GROUP_GUILD_ICON_ACTIVE_DESCRIPTION = "Display an icon on group members you share a guild with",
        GROUP_SHOW_GUILD_RANK_ICON_LABEL = "Use Guild Rank Icon",
        GROUP_SHOW_GUILD_RANK_ICON_DESCRIPTION = "Turn off to show just a simple guild icon instead of the rank icons",
        NAME_INDICATOR_LABEL = "Name Indicator",
        NAME_INDICATOR_DESCRIPTION = "Contains all settings related to name indicators.\nName Indicators are shown in chat and some other places in the UI.",
        NAME_SHOW_FRIEND_ICON_LABEL = "Show Friend Icon",
        NAME_SHOW_FRIEND_ICON_DESCRIPTION = "Displays a friend icon in front of a friends name",
        NAME_SHOW_IGNORE_ICON_LABEL = "Show Ignore Icon",
        NAME_SHOW_IGNORE_ICON_DESCRIPTION = "Displays an ignore icon in front of an ignored players name",
        NAME_SHOW_GROUP_ICON_LABEL = "Show Group Icon",
        NAME_SHOW_GROUP_ICON_DESCRIPTION = "Shows a group member or leader icon in front of the name of a group member",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_LABEL = "Show Group Leader Icon in Group Chat",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_DESCRIPTION = "Shows the group leader icon also in group chat",
        NAME_SHOW_GUILD_ICON_LABEL = "Show Guild Icon",
        NAME_SHOW_GUILD_ICON_DESCRIPTION = "Show a guild icon for guild members",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_LABEL = "Show guild icon outside of guild channels",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Controls whether the guild icon should be shown outside of guild chat channels",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_LABEL = "Show guild rank outside of guild channels",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Controls whether the guild rank should be shown outside of guild chat channels",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_LABEL = "Show guild rank in guild channels",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_DESCRIPTION = "Controls whether the guild rank should be shown in a guild chat channel",
        SHOW_INDICATORS_IN_CHAT_LABEL = "Show indicators in chat",
        SHOW_INDICATORS_IN_CHAT_DESCRIPTION = "Show group, friend and guild indicators on player links in chat",
        SHOW_INDICATORS_ON_ALL_LINKS_LABEL = "Show indicators in UI",
        SHOW_INDICATORS_ON_ALL_LINKS_DESCRIPTION = "Show group, friend and guild indicators on any player links in the UI (except for chat)",
        PLAYER_DETAIL_POPUP_FRIEND = "Friend",
        PLAYER_DETAIL_POPUP_NO_INFO = "- no info -",
        PLAYER_DETAIL_POPUP_OPEN_DETAIL_WINDOW = "Open Details",
        KEYBIND_SHOW_DETAIL_POPUP = "Show player detail popup",
        DETAIL_POPUP_MENU_ENTRY = "Show Details",
        SHOW_INGAME_SOCIAL_LIST_FILTERS_LABEL = "Show Sociallist Filters",
        SHOW_INGAME_SOCIAL_LIST_FILTERS_DESCRIPTION = "Displays additional filters for online state and alliance on the friendlist and guild roster",
        SHOW_INGAME_SOCIAL_LIST_FILTERS_WARNING = "Requires a UI reload to get applied",
    },
    de = {
        POSITION_LEFT = "Links",
        POSITION_RIGHT = "Rechts",
        TARGET_INDICATOR_LABEL = "Zielanzeige",
        TARGET_INDICATOR_DESCRIPTION = "Enthält alle Einstellungen für die Zielanzeige",
        TARGET_IGNORE_ICON_ACTIVE_LABEL = "Ignoriersymbol anzeigen",
        TARGET_IGNORE_ICON_ACTIVE_DESCRIPTION = "Zeigt ein Symbol, wenn der anvisierte Spieler ignoriert wird",
        TARGET_FRIEND_ICON_ACTIVE_LABEL = "Freundschaftssymbol anzeigen",
        TARGET_FRIEND_ICON_ACTIVE_DESCRIPTION = "Zeige ein Symbol, wenn du mit deinem anvisierten Ziel befreundet bist",
        TARGET_FRIEND_ICON_POSITION_LABEL = "Position des Freundschaftssymbols",
        TARGET_FRIEND_ICON_POSITION_DESCRIPTION = "Platziere das Freundschafts-/Ignoriersymbol links oder rechts vom Zielnamen",
        TARGET_GUILD_INDICATOR_ACTIVE_LABEL = "Gildenname anzeigen",
        TARGET_GUILD_INDICATOR_ACTIVE_DESCRIPTION = "Zeigt den Namen einer Gilde die du mit deinem Ziel teilst",
        TARGET_GUILD_RANK_ICON_ACTIVE_LABEL = "Rangsymbol anzeigen",
        TARGET_GUILD_RANK_ICON_ACTIVE_DESCRIPTION = "Zeigt das Rangsymbol zusätzlich zum Gildennamen",
        TARGET_GUILD_RANK_ICON_POSITION_LABEL = "Position des Rangsymbols",
        TARGET_GUILD_RANK_ICON_POSITION_DESCRIPTION = "Platziere das Symbol links oder rechts vom Gildennamen",
        GROUP_INDICATOR_LABEL = "Gruppenanzeige",
        GROUP_INDICATOR_DESCRIPTION = "Enthält alle Einstellungen für die Gruppenanzeige",
        GROUP_IGNORE_ICON_ACTIVE_LABEL = "Ignoriersymbol anzeigen",
        GROUP_IGNORE_ICON_ACTIVE_DESCRIPTION = "Zeigt ein Symbol bei Gruppenmitgliedern die du ignorierst",
        GROUP_FRIEND_ICON_ACTIVE_LABEL = "Freundschaftssymbol anzeigen",
        GROUP_FRIEND_ICON_ACTIVE_DESCRIPTION = "Zeigt ein Symbol bei Gruppenmitgliedern mit denen du befreundet bist",
        GROUP_GUILD_ICON_ACTIVE_LABEL = "Gildensymbol anzeigen",
        GROUP_GUILD_ICON_ACTIVE_DESCRIPTION = "Zeigt ein Symbol bei Gruppenmitgliedern mit denen du in einer Gilde bist",
        GROUP_SHOW_GUILD_RANK_ICON_LABEL = "Gildenrangsymbol",
        GROUP_SHOW_GUILD_RANK_ICON_DESCRIPTION = "Deaktiviere diese Option um ein einfaches Gildensymbol anstelle der Rangsymbole anzuzeigen",
        NAME_INDICATOR_LABEL = "Namensanzeige",
        NAME_INDICATOR_DESCRIPTION = "Enthält alle Einstellungen für die Namensanzeige\Namensanzeige betrifft Spielernamen im Chat und an anderen Stellen im Interface",
        NAME_SHOW_FRIEND_ICON_LABEL = "Freundschaftssymbol anzeigen",
        NAME_SHOW_FRIEND_ICON_DESCRIPTION = "Zeigt ein Freundschaftssymbol vor dem Namen eines Freundes",
        NAME_SHOW_IGNORE_ICON_LABEL = "Ignoriersymbol anzeigen",
        NAME_SHOW_IGNORE_ICON_DESCRIPTION = "Zeigt ein Ignoriersymbol vor dem Namen eines ignorierten Spielers",
        NAME_SHOW_GROUP_ICON_LABEL = "Gruppensymbol anzeigen",
        NAME_SHOW_GROUP_ICON_DESCRIPTION = "Zeigt ein Gruppenmitglieds oder -leitersymbol vor dem Namen eines Gruppenmitglieds",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_LABEL = "Gruppenleitersymbol im Gruppenchat anzeigen",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_DESCRIPTION = "Zeige das Gruppenleitersymbol auch wenn der Name im Gruppenkanal aufscheint",
        NAME_SHOW_GUILD_ICON_LABEL = "Gildensymbol anzeigen",
        NAME_SHOW_GUILD_ICON_DESCRIPTION = "Zeigt ein Gildensymbol für Gildenmitglieder",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_LABEL = "Gildensymbol außerhalb von Gildenkanälen anzeigen",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Bestimmt ob das Gildensymbol außerhalb vom Gildenchat angezeigt werden soll",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_LABEL = "Gildenrang außerhalb von Gildenkanälen anzeigen",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Bestimmt ob der Gildenrang außerhalb vom Gildenchat angezeigt werden soll",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_LABEL = "Gildenrang in Gildenkanälen anzeigen",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_DESCRIPTION = "Bestimmt ob der Gildenrang im Gildenchat angezeigt werden soll",
        SHOW_INDICATORS_IN_CHAT_LABEL = "Symbole im Chat anzeigen",
        SHOW_INDICATORS_IN_CHAT_DESCRIPTION = "Gruppen-, Freundschafts- und Gildensymbole bei Spielernamen im Chat anzeigen",
        SHOW_INDICATORS_ON_ALL_LINKS_LABEL = "Symbole im Interface anzeigen",
        SHOW_INDICATORS_ON_ALL_LINKS_DESCRIPTION = "Gruppen-, Freundschafts- und Gildensymbole bei Spielernamen im Interface (außer dem Chat)",
        PLAYER_DETAIL_POPUP_FRIEND = "Freund",
        PLAYER_DETAIL_POPUP_NO_INFO = "- keine Info -",
        KEYBIND_SHOW_DETAIL_POPUP = "Zeige Spieler Details",
        DETAIL_POPUP_MENU_ENTRY = "Zeige Details",
    },
    fr = {
        POSITION_LEFT = "Gauche",
        POSITION_RIGHT = "Droite",
        TARGET_INDICATOR_LABEL = "Indicateurs pour la Cible",
        TARGET_INDICATOR_DESCRIPTION = "Paramètres relatifs à votre cible",
        TARGET_IGNORE_ICON_ACTIVE_LABEL = "Icône Ignoré",
        TARGET_IGNORE_ICON_ACTIVE_DESCRIPTION = "Indique si la personne est ignorée",
        TARGET_FRIEND_ICON_ACTIVE_LABEL = "Icône Ami",
        TARGET_FRIEND_ICON_ACTIVE_DESCRIPTION = "Afficher une icône si vous êtes ami avec la personne ciblée",
        TARGET_FRIEND_ICON_POSITION_LABEL = "Position de l'icône",
        TARGET_FRIEND_ICON_POSITION_DESCRIPTION = "Afficher les icônes à gauche ou à droite du nom de la personne ciblée",
        TARGET_GUILD_INDICATOR_ACTIVE_LABEL = "Nom de la guilde",
        TARGET_GUILD_INDICATOR_ACTIVE_DESCRIPTION = "Afficher le nom de la guilde dont vous et la cible êtes membres",
        TARGET_GUILD_RANK_ICON_ACTIVE_LABEL = "Icône du rang dans la Guilde",
        TARGET_GUILD_RANK_ICON_ACTIVE_DESCRIPTION = "Afficher une icône indiquant le rang de la cible dans cette guilde",
        TARGET_GUILD_RANK_ICON_POSITION_LABEL = "Position de l'icône ",
        TARGET_GUILD_RANK_ICON_POSITION_DESCRIPTION = "Afficher l'icône à gauche ou à droite du nom de la guilde",
        GROUP_INDICATOR_LABEL = "Indicateurs pour les membres du Groupe",
        GROUP_INDICATOR_DESCRIPTION = "Paramètres relatifs aux membres du groupe",
        GROUP_IGNORE_ICON_ACTIVE_LABEL = "Icône Ignoré",
        GROUP_IGNORE_ICON_ACTIVE_DESCRIPTION = "Indique si la personne est ignorée",
        GROUP_FRIEND_ICON_ACTIVE_LABEL = "Icône Ami",
        GROUP_FRIEND_ICON_ACTIVE_DESCRIPTION = "Afficher une icône signalant les membres du groupe avec lesquels vous êtes ami",
        GROUP_GUILD_ICON_ACTIVE_LABEL = "Icône Guilde",
        GROUP_GUILD_ICON_ACTIVE_DESCRIPTION = "Afficher une icône signalant les membres du groupe qui font partie de la même guilde que vous",
        GROUP_SHOW_GUILD_RANK_ICON_LABEL = "Utiliser l'icône du rang dans la Guilde",
        GROUP_SHOW_GUILD_RANK_ICON_DESCRIPTION = "Désactiver pour n'avoir que l'icône de guilde au lieu de l'icône de rang",
        NAME_INDICATOR_LABEL = "Indicateurs sur les noms",
        NAME_INDICATOR_DESCRIPTION = "Paramètres relatifs aux indicateurs des noms des joueurs.\nLes Noms des joueurs sont affichés dans le chat et à divers endroits dans l'interface.",
        NAME_SHOW_FRIEND_ICON_LABEL = "Icône Ami",
        NAME_SHOW_FRIEND_ICON_DESCRIPTION = "Afficher l'icône Ami devant le nom des amis",
        NAME_SHOW_IGNORE_ICON_LABEL = "Icône Ignoré",
        NAME_SHOW_IGNORE_ICON_DESCRIPTION = "Indique si la personne est ignorée",
        NAME_SHOW_GROUP_ICON_LABEL = "Icône du groupe",
        NAME_SHOW_GROUP_ICON_DESCRIPTION = "Afficher une icône Membre ou Leader du groupe devant le nom des personnes groupées",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_LABEL = "Icône du chef de groupe dans le chat",
        NAME_SHOW_GROUP_LEADER_IN_CHAT_DESCRIPTION = "Afficher également l'icône du chef de groupe dans le chat",
        NAME_SHOW_GUILD_ICON_LABEL = "Icône de guilde",
        NAME_SHOW_GUILD_ICON_DESCRIPTION = "Afficher l'icône Guilde pour les membres de guilde",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_LABEL = "Icône Guilde dans les canaux tiers",
        NAME_SHOW_GUILD_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Définit si l'icône Guilde doit être affichée ou non dans les canaux de discussion tiers",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_LABEL = "Icône du rang de guilde dans les canaux Guilde",
        NAME_SHOW_GUILD_RANK_OUTSIDE_GUILD_CHANNEL_DESCRIPTION = "Définit si l'icône du rang de Guilde doit être affichée ou non dans les canaux de discussion tiers",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_LABEL = "Rang de guilde dans les canaux Guilde",
        NAME_SHOW_GUILD_RANK_IN_GUILD_CHANNEL_DESCRIPTION = "Définit si l'icône du rang de Guilde doit être affichée ou non dans les canaux de discussion de guilde",
        SHOW_INDICATORS_IN_CHAT_LABEL = "Indicateurs dans le chat",
        SHOW_INDICATORS_IN_CHAT_DESCRIPTION = "Afficher le groupe et les indicateurs d'amitié et de guilde dans tous les liens du chat",
        SHOW_INDICATORS_ON_ALL_LINKS_LABEL = "Indicateurs dans l'interface",
        SHOW_INDICATORS_ON_ALL_LINKS_DESCRIPTION = "Afficher le groupe et les indicateurs d'amitié et de guilde dans tous les liens dans l'interface (excepté ceux du chat)",
        PLAYER_DETAIL_POPUP_FRIEND = "Ami",
        PLAYER_DETAIL_POPUP_NO_INFO = "- pas d'infos -",
        PLAYER_DETAIL_POPUP_OPEN_DETAIL_WINDOW = "Afficher les détails",
        KEYBIND_SHOW_DETAIL_POPUP = "Afficher une fenêtre détaillée du joueur",
        DETAIL_POPUP_MENU_ENTRY = "Afficher les détails",
    }
}

local language = GetCVar("language.2")
local stringTable = ZO_ShallowTableCopy(localization["en"])
if(language ~= "en" and localization[language]) then
    ZO_ShallowTableCopy(localization[language], stringTable)
end
SocialIndicators.Localization = stringTable

function SocialIndicators.IsPositionLeft(value)
    local result = false
    for _, L in pairs(localization) do
        if(value == L["POSITION_LEFT"]) then
            result = true
            break
        end
    end
    return result
end

function SocialIndicators.IsPositionRight(value)
    local result = false
    for _, L in pairs(localization) do
        if(value == L["POSITION_RIGHT"]) then
            result = true
            break
        end
    end
    return result
end
